LINUX.ORG.RU

CentOS 6, не могу поставить NodeJS выше 0.10.46 версии, npm 1.3.6 (((

 , ,


0

2

Друзья, скажите, в чем дело... ставлю

curl -sL https://rpm.nodesource.com/setup_11.x | sudo -E bash - yum install nodejs

выдаёт:

nodejs x86_64 0.10.48-3.el6 epel 2.1 M

эту версию ставлю нормально, но она стара, сейчас 11я во всю.... Удалил. Ни как не могу добиться установки текущей версии. epel «подсосвывает» эту версию. Далее, npm, 1.3.6 только доступна, ей более 5 лет... Дома на винде

npm -v 6.4.1 ...

Помогите что делаю не так, какие команды надо выполнить, выполню, напишу листинги.


Ответ на: комментарий от suxov

suxov, да не такая и древняя, вот образ: CentOS-6.5-x86_64-minimal.iso

Т.е. может быть ограничение на версию ОС? Так хоть бы так и напечатала ((

Yuraz ()
Ответ на: комментарий от Deleted

Rainor, оо, понял... У меня «сервачок» с 1гиг ОЗУ, потянет ли CentOS-7-minimal на нем? Инфу нашел - 1 гиг ОЗУ надо на 1 ядро. У меня одно ядро. Но гиг минимум как я понял? А в 6й - 380мег надо минимум.

Yuraz ()
Ответ на: комментарий от Yuraz

можете испытать другие способы установки, указанные на сайте Nod3.js - оттранслированный архив Linux binaries и трансляция из исходного кода, который есть там же.

Partisan ★★★ ()

скачиваешь отсюда https://rpmfind.net/linux/rpm2html/search.php?query=nodejs src rpm пакет ( можно под федору ) и пытаешся собрать. Если будут ошибки на старый gcc, то можно новый тоже найти под centos6 ( ищите в гугле )

Jopich1 ()
Последнее исправление: Jopich1 (всего исправлений: 2)
Ответ на: комментарий от Jopich1

Не знаю как у тебя работает указанная ссылка, а у меня она не находит пакетов nodejs-11! Сам-то пробовал свой совет? В текущей федоре nodejs-8, в testing nodejs-10 (та которая LTS)

sigurd ★★★★ ()
Последнее исправление: sigurd (всего исправлений: 1)

Дельный совет дали. Используй nvm. С нативными пакетами всегда какие-то проблемы. https://github.com/creationix/nvm Плюс ты явно захочешь позже несколько версий ноды одновременно.

GreenBag ★★ ()
Ответ на: комментарий от Jopich1

Опять мимо - там не только source надо поменять (и скачать исходники nodejs-11) но и изменить каждую строку в spec-файле (все версии компонент и зависимостей изменились, ну и разобраться - что делать с патчами). Во общем - это совсем не просто! И лучше оставить эту работу сопровождающим пакет nodejs (тем более, что в koji.fedoraproject.org уже появились наработки для nodejs-11.1)

sigurd ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.